Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005062Dwarf FortressDwarf Mode -- Itemspublic2012-02-14 08:542018-06-03 19:52
Reporteryarrrr 
Assigned ToDwarfu 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionduplicate 
PlatformWindowsOSWin7OS Version7
Product Version0.34.01 
Target VersionFixed in Version 
Summary0005062: A lot of "Item inaccessible" spam
DescriptionFortress is about 3 years old I guess. I get a lot of Item Inaccessible spam now. Basically can't read anything else anymore :(. Here is the savegame

http://dffd.wimbli.com/file.php?id=5489 [^]
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0009004confirmedLoci "Store item in container" jobs block access to all items already in the container 
related to 0005992resolvedToady One Conflict between hauling jobs (i.e. filling containers) and other jobs using items in those containers 

-  Notes
(0019518)
Footkerchief (manager)
2012-02-14 09:06

Reminder sent to: yarrrr

You need to provide more details in reports. What sorts of jobs are the dwarves attempting to do? Please include some cancellation messages etc.
(0019525)
yarrrr (reporter)
2012-02-14 09:44

Oh sorry. The Job is "Store owned item" and a lot of dwarves have that problem.

Cancellation message is always: item inaccessible. I've already double checked for "stuck" or cornered items, but there are none as far as I can see.
(0019528)
Rafal99 (reporter)
2012-02-14 09:54

Are your dwarves assigned to burrows?
If yes then it is a common problem.
(0019534)
yarrrr (reporter)
2012-02-14 11:22

No I don't have them set to burrows IIRC. I never use those :D
(0019612)
yarrrr (reporter)
2012-02-15 03:05

I have this again in a recent fort. It seems to have something to do with a caravan arriving and hungry dwarves swarming that caravan. Immediately after the caravan arrives on screen (A elven caravan from *** has arrived in announcements) I get a lot of the item inaccessible spam, and it won't stop. Not even after the caravan left and all my dwarves are saturated again.
(0019921)
yarrrr (reporter)
2012-02-17 06:48

Soo, OK, this is easily reproducable. Just have hungry dwarves (no food available) and wait for the next caravan. It will immediately trigger the mass-annoucements.
(0029815)
ravaught (reporter)
2014-08-30 19:24

Seeing this as well. No burrows defined and no closed off paths, no caravans, but TONS of inaccessible item messages. Even in rooms directly adjacent to each other.
(0029817)
Dame de la Licorne (reporter)
2014-08-31 04:54
edited on: 2014-09-03 11:33

Are your dwarves trying to haul things in bins/barrels/bags? Every time I get those messages, it correlates to a dwarf needing something that gets stored in one of those that is currently being hauled by a different dwarf.

Another possibility: Are you using wheelbarrows for your stockpile? (See 0007616)

(0038429)
Dwarfu (manager)
2018-06-03 19:52

Save is compatibility broken.

This is a situation where the food container is tasked by a single dwarf when all other dwarves are trying to get their food out of the seized merchant's stocks (the same barrel).

Note, as of 0.44.10,
(*) Can now zoom to item and unit for item inaccessible announcements
which should help diagnose future problems until the underlying issue is resolved.

- Issue History
Date Modified Username Field Change
2012-02-14 08:54 yarrrr New Issue
2012-02-14 09:05 Footkerchief Description Updated View Revisions
2012-02-14 09:06 Footkerchief Note Added: 0019518
2012-02-14 09:44 yarrrr Note Added: 0019525
2012-02-14 09:54 Rafal99 Note Added: 0019528
2012-02-14 11:22 yarrrr Note Added: 0019534
2012-02-15 03:05 yarrrr Note Added: 0019612
2012-02-17 06:48 yarrrr Note Added: 0019921
2014-08-30 19:24 ravaught Note Added: 0029815
2014-08-31 04:54 Dame de la Licorne Note Added: 0029817
2014-09-03 08:39 Footkerchief Relationship added related to 0005992
2014-09-03 11:33 Dame de la Licorne Note Edited: 0029817 View Revisions
2015-01-20 06:23 Steb Issue Monitored: Steb
2018-06-03 19:52 Dwarfu Note Added: 0038429
2018-06-03 19:52 Dwarfu Relationship added duplicate of 0009004
2018-06-03 19:52 Dwarfu Status new => resolved
2018-06-03 19:52 Dwarfu Resolution open => duplicate
2018-06-03 19:52 Dwarfu Assigned To => Dwarfu


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker